import { NostrEvent } from '../types/nostr';
export interface Contact {
    pubkey: string;
    relay?: string;
    petname?: string;
}
/**
 * Creates a NIP-02 contact list event
 * @param privateKey - The private key to sign the event with
 * @param contacts - Array of contacts to include in the list
 * @returns A signed contact list event
 */
export declare function createContactList(privateKey: string, contacts: Contact[]): Promise<NostrEvent>;
/**
 * Parses a NIP-02 contact list event
 * @param event - The contact list event to parse
 * @returns Array of parsed contacts
 */
export declare function parseContactList(event: NostrEvent): Contact[];
