import { Request } from 'express';
import { NostrEvent } from 'nostr-crypto-utils';
export interface MagicLinkRequest extends Request {
    /** User's public key if authenticated */
    pubkey?: string;
    /** Original Nostr event if available */
    nostrEvent?: NostrEvent;
}
export interface MagicLinkToken {
    /** User's public key */
    pubkey: string;
    /** Token expiration timestamp */
    exp: number;
    /** Token issued at timestamp */
    iat: number;
}
export interface MagicLinkResponse {
    /** JWT token for authentication */
    token: string;
    /** User's public key */
    pubkey: string;
    /** Token expiration timestamp */
    expiresAt: number;
}
